-- phpMyAdmin SQL Dump
-- version 3.4.2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Dec 11, 2015 at 09:40 AM
-- Server version: 5.5.13
-- PHP Version: 5.3.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `c240burdulisc`
--

-- --------------------------------------------------------

--
-- Table structure for table `Category`
--

CREATE TABLE IF NOT EXISTS `Category` (
  `categoryID` int(11) NOT NULL AUTO_INCREMENT,
  `categoryName` varchar(45) NOT NULL,
  PRIMARY KEY (`categoryID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Dumping data for table `Category`
--

INSERT INTO `Category` (`categoryID`, `categoryName`) VALUES
(1, 'Arts'),
(2, 'Business'),
(3, 'Comedy'),
(4, 'Music'),
(5, 'News & Politics'),
(6, 'Society & Culture'),
(7, 'Technology'),
(8, 'Science & Medicine'),
(9, 'Games & Hobbies'),
(10, 'TV & Flim');

-- --------------------------------------------------------

--
-- Table structure for table `Episode`
--

CREATE TABLE IF NOT EXISTS `Episode` (
  `episodeID` int(11) NOT NULL AUTO_INCREMENT,
  `episodeNo` int(4) DEFAULT NULL,
  `episodeName` varchar(45) NOT NULL,
  `episodeDesc` text NOT NULL,
  `episodeDate` date NOT NULL,
  `episodeLength` decimal(5,0) NOT NULL,
  `podcastID` int(11) NOT NULL,
  PRIMARY KEY (`episodeID`),
  KEY `podcastID` (`podcastID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;

--
-- Dumping data for table `Episode`
--

INSERT INTO `Episode` (`episodeID`, `episodeNo`, `episodeName`, `episodeDesc`, `episodeDate`, `episodeLength`, `podcastID`) VALUES
(1, 573, 'Status Update', 'Most of the time, the updates we share about our lives are small and inconsequential. This week, status updates that interrupt daily life. We hear two friends talk about how one of them has become rich and famous. And an entire town gets a status update on itself.', '2015-11-27', 58, 1),
(2, 572, 'Transformers', 'This week we have stories of people deciding to take on some very big fears. A prisoner who hasn''t talked to anyone in years comes up with a bold plan to re-introduce himself to the world, while a 90-year-old woman shocks her family when she announces a love interest.', '2015-11-08', 58, 1),
(3, 571, 'The Heart Wants What It Wants', 'When Jesse first started getting letters from Pamala, he couldn’t believe his luck. He''d been waiting all his life to fall in love—and then he started getting these letters from the perfect woman. Vulnerable. In need of protection. Classic beauty. He was totally devoted. They corresponded for years. And when something happens that really should change how he feels about her— he just can’t give it up.', '2015-10-30', 60, 1),
(4, NULL, 'Birthstory', 'In this episode, conception takes on a new form—it’s the sperm and the egg, plus two wombs, four countries, and money. Lots of money. ', '2015-11-22', 48, 2),
(5, NULL, 'Darkode', 'We shine a light into the dark corners of the internet to see the world from the perspective of both cyber crime victims and perpetrators.', '2015-09-21', 45, 2),
(6, NULL, 'Staph Retreat', 'In the war on devilish microbes, our weapons are starting to fail us. What if the only way forward is backward?', '2015-11-02', 30, 2),
(7, NULL, 'Update: New Normal?', 'In this hour of Radiolab: reframing our ideas about normalcy. Three stories where choice challenges destiny. ', '2015-10-19', 60, 2),
(8, NULL, 'Smile My Ass', 'As Candid Camera succeeded, it started to change the way we thought not only of reality television, but also of reality itself.', '2015-10-06', 48, 2),
(9, NULL, 'Wait Wait...Don''t Tell Me! For Dec. 5, 2015', 'Recorded in Los Angeles, Calif., with Not My Job guest Jeff Daniels and panelists Adam Felber, Paula Poundstone and Maz Jobrani.', '2015-12-05', 49, 3),
(10, NULL, 'Wait Wait...Don''t Tell Me! For Nov. 21, 2015', 'Recorded in Chicago with Not My Job guest Lisa Randall and panelists Alonzo Bodden, Faith Salie and P.J. O''Rourke.\r\n', '2015-11-21', 49, 3),
(11, NULL, 'Wait Wait...Don''t Tell Me! For Nov. 14, 2015', 'Recorded in Chicago with Not My Job guest June Squibb and panelists Brian Babylon, Roxanne Roberts and Maz Jobrani.', '2015-11-14', 50, 3),
(12, NULL, 'Farm to fork', 'In December, Reveal will dedicate an hour to stories about food, looking at the complicated networks of labor, trade and regulation that carry meat, produce and other products to our tables.\r\n\r\nWe’ll upend your ideas about what kind of chicken is most susceptible to salmonella, unveil the secret history of pesticides that fuel the modern strawberry industry and look at a workers movement in Florida that’s transformed the tomato-picking business from the ground up.', '2015-12-05', 180, 5),
(13, NULL, 'A mountain of misconduct', 'This month on Reveal, we team up with New Hampshire Public Radio health and science reporter Jack Rodolico to unveil 40 years of alleged abuse and neglect of people with disabilities at specialty rehab centers across the U.S.\r\n\r\nWe zoom in and take a close look at Lakeview NeuroRehabilitation Center, a facility nestled in the wooded foothills of New Hampshire’s White Mountains, where people with severe disabilities were treated. For families all over the country, Lakeview was the last resort for their loved ones. For the owners, it was a lucrative business.\r\n\r\nBut patients suffered. Reveal exposes how for-profit rehab centers thrive on public dollars with little oversight.', '2015-11-07', 180, 5),
(14, 23, 'Matías Duarte: Material Design', 'On this weeks show we''re joined by Matías Duarte, Vice President of Design at Google. We talk about everything from Material Design to how to camouflage LEGO against couches.', '2015-12-03', 37, 4),
(15, 22, 'Trek Wars', 'The crew is shocked to learn that 22 episodes in they might be becoming friends...and what do all friends do at this point? Answer listener questions of course! And discuss Star Trek and Star Wars! In other news Yasmine buys a car definitely, probably, maybe just to get Android Auto.', '2015-11-26', 68, 4),
(16, 21, 'Drones Delivering Drones', 'Andy shows off his day and night iPad Pros (you see he only plays offence, never defence). Yasmine yells at Google. Microsoft runs away. Russell doesn''t get Thanksgiving, but Google does. Knock knock. Who''s there? Drone? Drone who? Drone''t you know there''s a package here for you!', '2015-11-19', 73, 4);

-- --------------------------------------------------------

--
-- Table structure for table `Platform`
--

CREATE TABLE IF NOT EXISTS `Platform` (
  `platformID` int(11) NOT NULL AUTO_INCREMENT,
  `platformName` varchar(45) NOT NULL,
  PRIMARY KEY (`platformID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Dumping data for table `Platform`
--

INSERT INTO `Platform` (`platformID`, `platformName`) VALUES
(1, 'iTunes'),
(2, 'NPR'),
(3, 'Pocket Casts'),
(4, 'Stitcher');

-- --------------------------------------------------------

--
-- Table structure for table `Podcast`
--

CREATE TABLE IF NOT EXISTS `Podcast` (
  `podcastID` int(11) NOT NULL AUTO_INCREMENT,
  `podcastName` varchar(45) NOT NULL,
  `podcastDesc` text NOT NULL,
  `podcastStartDate` date NOT NULL,
  `podcastEndDate` date DEFAULT NULL,
  `podcastSubscriberCount` int(9) NOT NULL,
  `typeID` int(11) NOT NULL,
  PRIMARY KEY (`podcastID`),
  KEY `typeID` (`typeID`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;

--
-- Dumping data for table `Podcast`
--

INSERT INTO `Podcast` (`podcastID`, `podcastName`, `podcastDesc`, `podcastStartDate`, `podcastEndDate`, `podcastSubscriberCount`, `typeID`) VALUES
(1, 'This American Life', 'This American Life is a weekly public radio show, heard by 2.2 million people on more than 500 stations. Another 1.5 million people download the weekly podcast. It is hosted by Ira Glass, produced in collaboration with Chicago Public Media, delivered to stations by PRX The Public Radio Exchange, and has won all of the major broadcasting awards.', '1995-11-17', NULL, 1500000, 1),
(2, 'Radiolab', 'Radiolab is a show about curiosity. Where sound illuminates ideas, and the boundaries blur between science, philosophy, and human experience. Radiolab is heard around the country on more than 500 member stations.', '2002-05-19', NULL, 1800000, 1),
(3, 'Wait Wait...Don''t Tell Me!', 'NPR''s weekly radio quiz show. Test your knowledge alongside some of the celebrity panelists made up of the best and brightest in the news and entertainment world. Have fun keeping up with current events. Hosted by Peter Sagal & Carl Kasell. Podcast episodes available on demand each Saturday.', '1998-01-03', NULL, 3800000, 1),
(4, 'Material', 'Material is a weekly discussion about the Google and Android universe. Every week, your intrepid hosts try to answer the question, “What holds up the digital world?” The answer, so far, is that it’s Google all the way down.', '2015-07-02', NULL, 50000, 1),
(5, 'Reveal', 'Reveal is an investigative public radio program and podcast produced by CIR and PRX.', '2013-09-28', NULL, 20000, 3);

-- --------------------------------------------------------

--
-- Table structure for table `PodcastCategory`
--

CREATE TABLE IF NOT EXISTS `PodcastCategory` (
  `podcastID` int(11) NOT NULL,
  `categoryID` int(11) NOT NULL,
  PRIMARY KEY (`podcastID`,`categoryID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `PodcastCategory`
--

INSERT INTO `PodcastCategory` (`podcastID`, `categoryID`) VALUES
(1, 6),
(2, 6),
(2, 8),
(3, 3),
(3, 6),
(4, 7),
(5, 5);

-- --------------------------------------------------------

--
-- Table structure for table `PodcastPlatform`
--

CREATE TABLE IF NOT EXISTS `PodcastPlatform` (
  `podcastID` int(11) NOT NULL,
  `platformID` int(11) NOT NULL,
  PRIMARY KEY (`podcastID`,`platformID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `PodcastPlatform`
--

INSERT INTO `PodcastPlatform` (`podcastID`, `platformID`) VALUES
(1, 1),
(1, 2),
(1, 3),
(1, 4),
(2, 1),
(2, 2),
(2, 3),
(2, 4),
(3, 1),
(3, 2),
(3, 3),
(4, 1),
(4, 3),
(5, 3);

-- --------------------------------------------------------

--
-- Table structure for table `Type`
--

CREATE TABLE IF NOT EXISTS `Type` (
  `typeID` int(11) NOT NULL,
  `typeName` varchar(30) NOT NULL,
  PRIMARY KEY (`typeID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `Type`
--

INSERT INTO `Type` (`typeID`, `typeName`) VALUES
(1, 'Audio'),
(2, 'Video'),
(3, 'Mixed');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
